SEARCH
NEW RPMS
DIRECTORIES
ABOUT
FAQ
VARIOUS
BLOG
DONATE


YUM REPOSITORY

 
 

compat-libstdc++ rpm build for : RedHat 7.X. For other distributions click compat-libstdc++.

Name : compat-libstdc++
Version : 3.1 Vendor : (none)
Release : 1 Date : 2002-05-15 00:00:00
Group : System Environment/Libraries Source RPM : compat-libstdc++-3.1-1.src.rpm
Size : 8.49 MB
Packager : Hao Li < hli_haoli_org>
Summary : GNU C++ shared libraries
Description :
This package includes following C++ shared libraries:

libstdc++.so.3.0.4 from Hao Li\'s gcc-3.0.4-1
libstdc++-3-libc6.2-2-2.10.0.so from Hao Li\'s gcc-2.95.3-2
libstdc++-libc6.1-2.so.3 from Hao Li\'s gcc-2.95.2-1
libstdc++-2-libc6.1-1-2.9.0.so from stock Red Hat 6.0
libstdc++.so.2.9.0 from Hao Li\'s egcs-1.1.2-1 for RH6
libstdc++.so.2.8.1.1 from Arne Coucheron
libstdc++.so.2.7.2.8 from stock Red Hat 5.2
libg++.so.2.7.2.8 from stock Red Hat 5.2

This package is needed if you choose to install Hao Li\'s gcc 3.1 RPM
for RH71 while don\'t want to recompile some old binaries that depend
on old libstdc++ shared libraries.

RPM found in directory: /mirror/www.haoli.org/pub/redhat-7.x/RPMS/i386/outdated

Content of RPM  Provides Requires

Download
ftp.pbone.net  compat-libstdc++-3.1-1.i386.rpm
     Search for other platforms
compat-libstdc++-3.1-1.sparc.rpm
compat-libstdc++-3.1-1.alpha.rpm
compat-libstdc++-3.1-1.ppc.rpm
compat-libstdc++-3.1-1.ia64.rpm
compat-libstdc++-3.1-1.s390.rpm

Provides :
libg++.so.2.7.2
libstdc++-libc6.1-1.so.2
libstdc++-libc6.1-1.so.2(GCC.INTERNAL)
libstdc++-libc6.1-2.so.3
libstdc++-libc6.2-2.so.3
libstdc++.so.2.7.2
libstdc++.so.2.8
libstdc++.so.2.9
libstdc++.so.3
compat-libstdc++

Requires :
libm.so.6(GLIBC_2.1)
libc.so.6(GLIBC_2.2)
libm.so.6(GLIBC_2.0)
rpmlib(CompressedFileNames) <= 3.0.4-1
/sbin/ldconfig
libm.so.6
libgcc_s.so.1
libc.so.6(GLIBC_2.1)
ld-linux.so.2
libgcc_s.so.1(GLIBC_2.0)
libc.so.6(GLIBC_2.1.3)
libc.so.6
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
libstdc++.so.2.7.2
libc.so.6(GLIBC_2.0)


Content of RPM :
/usr/lib/libg++.so.2.7.2.8
/usr/lib/libstdc++-2-libc6.1-1-2.9.0.so
/usr/lib/libstdc++-3-libc6.2-2-2.10.0.so
/usr/lib/libstdc++-libc6.1-2.so.3
/usr/lib/libstdc++.so.2.7.2.8
/usr/lib/libstdc++.so.2.8.1.1
/usr/lib/libstdc++.so.2.9.0
/usr/lib/libstdc++.so.3.0.4